Skip to main content
PUT

Authorizations

x-api-key
string
header
required

Artist API key for authentication. Get your API key from https://inprocess.world/manage/api-keys

Body

application/json
collectionAddress
string | null
required

Collection address, or null to reset to the Process collection

Example:

"0x06a701Ae65582B92Af48cDff45a8B20DcA3714cA"

Response

The new default collection

A collection row as returned by GET /collections

id
string
required

Collection ID

address
string
required

Contract address of the collection

name
string
required

Collection name

chain_id
integer
required

Chain ID where the collection exists

created_at
string<date-time>
required

ISO timestamp when the collection was created

uri
string
required

Metadata URI

protocol
string
required

Protocol the collection belongs to

creator
string
required

Creator wallet address

admins
object[]
required

Collection admins

creator_username
string | null

Creator username when available